package cn.com.poc.thirdparty.resource.demand.dgTools.constants;

/**
 * @author Roger Wu
 */

public enum ErrorCodeEnum {


    SUCCESS("0","请求成功"),

    REQUEST_PARAM_ERROR("I00000","输入参数有误"),

    BUSINESS_ERROR("b00000","业务参数异常");

    ;

    private String errorCode;

    private String errorMsg;

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    ErrorCodeEnum(String errorCode, String errorMsg) {
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }
}
